import{s as G,o as Y,n as J}from"../chunks/scheduler.9039eef2.js";import{S as K,i as Q,g as c,s,r as L,A as Z,h as l,f as i,c as o,j as U,u as v,x as S,k as W,y as tt,a,v as M,d as _,t as b,w as E}from"../chunks/index.cdcc3d35.js";import{T as et}from"../chunks/Tip.6f74db41.js";import{H as X}from"../chunks/Heading.96ce3702.js";function it(B){let r,f='More details for checking supported tasks <a href="https://huggingface.co/docs/optimum-neuron/guides/export_model#selecting-a-task" rel="nofollow">here</a>.';return{c(){r=c("p"),r.innerHTML=f},l(n){r=l(n,"P",{"data-svelte-h":!0}),S(r)!=="svelte-hfkaug"&&(r.innerHTML=f)},m(n,k){a(n,r,k)},p:J,d(n){n&&i(r)}}}function at(B){let r,f,n,k,u,R,m,q,p,z="<thead><tr><th>Architecture</th> <th>Task</th></tr></thead> <tbody><tr><td>ALBERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>AST</td> <td>feature-extraction, audio-classification</td></tr> <tr><td>BERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>BLOOM</td> <td>text-generation</td></tr> <tr><td>Beit</td> <td>feature-extraction, image-classification</td></tr> <tr><td>CamemBERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>ConvBERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>ConvNext</td> <td>feature-extraction, image-classification</td></tr> <tr><td>ConvNextV2</td> <td>feature-extraction, image-classification</td></tr> <tr><td>CvT</td> <td>feature-extraction, image-classification</td></tr> <tr><td>DeBERTa (INF2 only)</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>DeBERTa-v2 (INF2 only)</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>Deit</td> <td>feature-extraction, image-classification</td></tr> <tr><td>DistilBERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>DonutSwin</td> <td>feature-extraction</td></tr> <tr><td>Dpt</td> <td>feature-extraction</td></tr> <tr><td>ELECTRA</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>ESM</td> <td>feature-extraction, fill-mask, text-classification, token-classification</td></tr> <tr><td>FlauBERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>GPT2</td> <td>text-generation</td></tr> <tr><td>Hubert</td> <td>feature-extraction, automatic-speech-recognition, audio-classification</td></tr> <tr><td>Levit</td> <td>feature-extraction, image-classification</td></tr> <tr><td>Llama, Llama 2, Llama 3</td> <td>text-generation</td></tr> <tr><td>Mistral</td> <td>text-generation</td></tr> <tr><td>Mixtral</td> <td>text-generation</td></tr> <tr><td>MobileBERT</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>MobileNetV2</td> <td>feature-extraction, image-classification, semantic-segmentation</td></tr> <tr><td>MobileViT</td> <td>feature-extraction, image-classification, semantic-segmentation</td></tr> <tr><td>MPNet</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>OPT</td> <td>text-generation</td></tr> <tr><td>Phi</td> <td>feature-extraction, text-classification, token-classification</td></tr> <tr><td>RoBERTa</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>RoFormer</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>Swin</td> <td>feature-extraction, image-classification</td></tr> <tr><td>T5</td> <td>text2text-generation</td></tr> <tr><td>UniSpeech</td> <td>feature-extraction, automatic-speech-recognition, audio-classification</td></tr> <tr><td>UniSpeech-SAT</td> <td>feature-extraction, automatic-speech-recognition, audio-classification, audio-frame-classification, audio-xvector</td></tr> <tr><td>ViT</td> <td>feature-extraction, image-classification</td></tr> <tr><td>Wav2Vec2</td> <td>feature-extraction, automatic-speech-recognition, audio-classification, audio-frame-classification, audio-xvector</td></tr> <tr><td>WavLM</td> <td>feature-extraction, automatic-speech-recognition, audio-classification, audio-frame-classification, audio-xvector</td></tr> <tr><td>Whisper</td> <td>automatic-speech-recognition</td></tr> <tr><td>XLM</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>XLM-RoBERTa</td> <td>feature-extraction, fill-mask, multiple-choice, question-answering, text-classification, token-classification</td></tr> <tr><td>Yolos</td> <td>feature-extraction, object-detection</td></tr></tbody>",C,x,P,g,F="<thead><tr><th>Architecture</th> <th>Task</th></tr></thead> <tbody><tr><td>Stable Diffusion</td> <td>text-to-image, image-to-image, inpaint</td></tr> <tr><td>Stable Diffusion XL Base</td> <td>text-to-image, image-to-image, inpaint</td></tr> <tr><td>Stable Diffusion XL Refiner</td> <td>image-to-image, inpaint</td></tr> <tr><td>SDXL Turbo</td> <td>text-to-image, image-to-image, inpaint</td></tr> <tr><td>LCM</td> <td>text-to-image</td></tr> <tr><td>PixArt-α</td> <td>text-to-image</td></tr> <tr><td>PixArt-Σ</td> <td>text-to-image</td></tr></tbody>",A,h,y,$,j="<thead><tr><th>Architecture</th> <th>Task</th></tr></thead> <tbody><tr><td>Transformer</td> <td>feature-extraction, sentence-similarity</td></tr> <tr><td>CLIP</td> <td>feature-extraction, zero-shot-image-classification</td></tr></tbody>",D,d,H,T,I="More architectures coming soon, stay tuned! 🚀",N,w,V;return u=new X({props:{title:"Supported architectures",local:"supported-architectures",headingTag:"h1"}}),m=new X({props:{title:"Transformers",local:"transformers",headingTag:"h2"}}),x=new X({props:{title:"Diffusers",local:"diffusers",headingTag:"h2"}}),h=new X({props:{title:"Sentence Transformers",local:"sentence-transformers",headingTag:"h2"}}),d=new et({props:{$$slots:{default:[it]},$$scope:{ctx:B}}}),{c(){r=c("meta"),f=s(),n=c("p"),k=s(),L(u.$$.fragment),R=s(),L(m.$$.fragment),q=s(),p=c("table"),p.innerHTML=z,C=s(),L(x.$$.fragment),P=s(),g=c("table"),g.innerHTML=F,A=s(),L(h.$$.fragment),y=s(),$=c("table"),$.innerHTML=j,D=s(),L(d.$$.fragment),H=s(),T=c("p"),T.textContent=I,N=s(),w=c("p"),this.h()},l(t){const e=Z("svelte-u9bgzb",document.head);r=l(e,"META",{name:!0,content:!0}),e.forEach(i),f=o(t),n=l(t,"P",{}),U(n).forEach(i),k=o(t),v(u.$$.fragment,t),R=o(t),v(m.$$.fragment,t),q=o(t),p=l(t,"TABLE",{"data-svelte-h":!0}),S(p)!=="svelte-17nnl5w"&&(p.innerHTML=z),C=o(t),v(x.$$.fragment,t),P=o(t),g=l(t,"TABLE",{"data-svelte-h":!0}),S(g)!=="svelte-1namjkz"&&(g.innerHTML=F),A=o(t),v(h.$$.fragment,t),y=o(t),$=l(t,"TABLE",{"data-svelte-h":!0}),S($)!=="svelte-zeg51l"&&($.innerHTML=j),D=o(t),v(d.$$.fragment,t),H=o(t),T=l(t,"P",{"data-svelte-h":!0}),S(T)!=="svelte-dm8pu8"&&(T.textContent=I),N=o(t),w=l(t,"P",{}),U(w).forEach(i),this.h()},h(){W(r,"name","hf:doc:metadata"),W(r,"content",rt)},m(t,e){tt(document.head,r),a(t,f,e),a(t,n,e),a(t,k,e),M(u,t,e),a(t,R,e),M(m,t,e),a(t,q,e),a(t,p,e),a(t,C,e),M(x,t,e),a(t,P,e),a(t,g,e),a(t,A,e),M(h,t,e),a(t,y,e),a(t,$,e),a(t,D,e),M(d,t,e),a(t,H,e),a(t,T,e),a(t,N,e),a(t,w,e),V=!0},p(t,[e]){const O={};e&2&&(O.$$scope={dirty:e,ctx:t}),d.$set(O)},i(t){V||(_(u.$$.fragment,t),_(m.$$.fragment,t),_(x.$$.fragment,t),_(h.$$.fragment,t),_(d.$$.fragment,t),V=!0)},o(t){b(u.$$.fragment,t),b(m.$$.fragment,t),b(x.$$.fragment,t),b(h.$$.fragment,t),b(d.$$.fragment,t),V=!1},d(t){t&&(i(f),i(n),i(k),i(R),i(q),i(p),i(C),i(P),i(g),i(A),i(y),i($),i(D),i(H),i(T),i(N),i(w)),i(r),E(u,t),E(m,t),E(x,t),E(h,t),E(d,t)}}}const rt='{"title":"Supported architectures","local":"supported-architectures","sections":[{"title":"Transformers","local":"transformers","sections":[],"depth":2},{"title":"Diffusers","local":"diffusers","sections":[],"depth":2},{"title":"Sentence Transformers","local":"sentence-transformers","sections":[],"depth":2}],"depth":1}';function nt(B){return Y(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class lt extends K{constructor(r){super(),Q(this,r,nt,at,G,{})}}export{lt as component};
